# -*- coding: mbcs -*-
# Do not delete the following import lines
from abaqus import *
from abaqusConstants import *
import __main__

def Grafics():
    import section
    import regionToolset
    import displayGroupMdbToolset as dgm
    import part
    import material
    import assembly
    import step
    import interaction
    import load
    import mesh
    import optimization
    import job
    import sketch
    import visualization
    import xyPlot
    import displayGroupOdbToolset as dgo
    import connectorBehavior
	
     session.viewports[session.currentViewportName].odbDisplay.commonOptions.setValues(
        visibleEdges=FEATURE)
     session.viewports[session.currentViewportName].odbDisplay.contourOptions.setValues(
        numIntervals=10, maxValue=500, minValue=0)
     session.viewports[session.currentViewportName].viewportAnnotationOptions.setValues(
        triadFont='-*-calibri-medium-r-normal-*-*-180-*-*-p-*-*-*', 
        legendFont='-*-calibri-medium-r-normal-*-*-180-*-*-p-*-*-*', 
        titleFont='-*-calibri-medium-r-normal-*-*-180-*-*-p-*-*-*', 
        stateFont='-*-calibri-medium-r-normal-*-*-180-*-*-p-*-*-*')
     session.viewports[session.currentViewportName].viewportAnnotationOptions.setValues(triad=ON, 
        title=OFF, stateBox=ON, compass=OFF, stateBackgroundStyle=MATCH)
    session.graphicsOptions.setValues(backgroundStyle=SOLID, 
        backgroundColor='#FFFFFF')
     session.viewports[session.currentViewportName].viewportAnnotationOptions.setValues(
        legendNumberFormat=FIXED)


def default_set():
    import section
    import regionToolset
    import displayGroupMdbToolset as dgm
    import part
    import material
    import assembly
    import step
    import interaction
    import load
    import mesh
    import optimization
    import job
    import sketch
    import visualization
    import xyPlot
    import displayGroupOdbToolset as dgo
    import connectorBehavior
     session.viewports[session.currentViewportName].viewportAnnotationOptions.setValues(
        triadFont='-*-calibri-medium-r-normal-*-*-120-*-*-p-*-*-*', 
        legendFont='-*-calibri-medium-r-normal-*-*-120-*-*-p-*-*-*', 
        titleFont='-*-calibri-medium-r-normal-*-*-120-*-*-p-*-*-*', 
        stateFont='-*-calibri-medium-r-normal-*-*-120-*-*-p-*-*-*')
     session.viewports[session.currentViewportName].viewportAnnotationOptions.setValues(triad=ON, 
        legendNumberFormat=SCIENTIFIC, title=ON, stateBox=OFF, compass=OFF, stateBackgroundStyle=TRANSPARENT,
        triadFont='-*-verdana-bold-r-normal-*-*-120-*-*-p-*', 
        stateFont='-*-verdana-medium-r-normal-*-*-120-*-*-p-*', 
        titleFont='-*-verdana-medium-r-normal-*-*-120-*-*-p-*', 
        legendFont='-*-verdana-medium-r-normal-*-*-120-*-*-p-*')
     session.viewports[session.currentViewportName].odbDisplay.commonOptions.setValues(
        visibleEdges=EXTERIOR)
    session.graphicsOptions.setValues(backgroundStyle=GRADIENT, 
        backgroundColor='#1B2D46')


